# Web Widget Domain Editor Dialog

Since v11 introduced the new domain editor widget it’s not possible to edit the selected records from the current domain.

This module reintroduces that dialog to complement the current widget with the powerful search engine of Odoo.

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

In any view with a domain field widget and model, but we’ll make the example with a user filter:

1. Enter debug mode.
2. Go to the Debug menu and select the option Manage Filters
3. Create a new one
4. Put a name to the filter and select a model (e.g.: Contact)
5. Click on the record selection button and a list dialog opens. There you can either:

> - Select individual records: those ids will be added to the domain.
> - Set filters that will be applied to the domain and select all the records to add it as a new filter.
> - Set groups that will be converted into search filters, select all the records and those unfolded groups will be set as filters to.

You can still edit the filter with Odoo’s widget after that.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us smashing it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Tecnativa

## Contributors

- Tecnativa
  - David Vidal
  - Jairo Llopis
  - Carlos Roca
- Darshan Patel <darshan.barcelona@gmail.com>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/web project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.